const { Events, EmbedBuilder } = require('discord.js');
const { client } = require('../index.js');

module.exports = {
  name: Events.GuildMemberRemove,
  async execute(member) {
    const removeMemberEmbed = new EmbedBuilder()
      .setTitle(`${member.user.globalName} has left!`)
      .setColor(process.env.EMBED_COLOR);

    const channel = client.channels.cache.get(process.env.LOG_CHANNEL_ID);
    channel.send({ embeds: [removeMemberEmbed] });
  },
};
